stages:
  - delpoy

.deploy: &deploy
  stage: deploy
  image: foo4/qbec-deploy:v0.1.0
  # script:
  #   - mkdir ~/testDIR-0
    # - cp $K8S_CONFIG ~/.kube/config
    # - yc config set service-account-key $RU_REGISTRY_TOKEN_YC
    # - qbec apply stage --root deployment/ --k8s:kubeconfig $K8S_CONFIG --vm:ext-str image_tag=$CI_COMMIT_TAG --wait --yes
#   needs: ["push-to-internal"]
  only:
    - main
    - tags

deploy-1:
  <<: *deploy
  script:
    - mkdir ~/testDIR-1

deploy-2:
  <<: *deploy
  script:
    - mkdir ~/testDIR-2
